summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Johannes Schoepfer2018-07-19 00:40:23 +0200
committer Willy Sudiarto Raharjo2018-07-21 01:53:31 +0200
commit46b63f844774a043f6a4a1a5b699ae9fb6df3e51 (patch)
treee8d32b3b8c130f3979e5bda163a4ca75a1370211
parenta6b4e947bc457cd62ded27487fb75d35ea79ebd7 (diff)
downloadslackbuilds-46b63f844774a043f6a4a1a5b699ae9fb6df3e51.tar.gz
games/ultimatestunts: Added (remake of DOS racing game 'Stunts').
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
-rw-r--r--games/ultimatestunts/README4
-rw-r--r--games/ultimatestunts/doinst.sh18
-rw-r--r--games/ultimatestunts/slack-desc19
-rw-r--r--games/ultimatestunts/ultimatestunts-metaserver-cpp-add-includes.patch13
-rw-r--r--games/ultimatestunts/ultimatestunts.SlackBuild104
-rw-r--r--games/ultimatestunts/ultimatestunts.desktop9
-rw-r--r--games/ultimatestunts/ultimatestunts.info10
-rw-r--r--games/ultimatestunts/ultimatestunts.pngbin0 -> 4018 bytes
8 files changed, 177 insertions, 0 deletions
diff --git a/games/ultimatestunts/README b/games/ultimatestunts/README
new file mode 100644
index 0000000000..d58faaed73
--- /dev/null
+++ b/games/ultimatestunts/README
@@ -0,0 +1,4 @@
+Ultimate Stunts is a remake of the famous DOS-game stunts. Racing in
+Ultimate Stunts involves some really spectacular stunts, like loopings,
+corkscrews, bridges to jump over, etc., but the best thing is that you
+can design your own tracks!
diff --git a/games/ultimatestunts/doinst.sh b/games/ultimatestunts/doinst.sh
new file mode 100644
index 0000000000..12adae7cb2
--- /dev/null
+++ b/games/ultimatestunts/doinst.sh
@@ -0,0 +1,18 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+config etc/ultimatestunts.conf.new
+
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/games/ultimatestunts/slack-desc b/games/ultimatestunts/slack-desc
new file mode 100644
index 0000000000..1cb891d3f9
--- /dev/null
+++ b/games/ultimatestunts/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+ultimatestunts: ultimatestunts (a remake of the famous DOS racing game 'Stunts')
+ultimatestunts:
+ultimatestunts: Ultimate Stunts is a remake of the famous DOS-game stunts. Racing in
+ultimatestunts: Ultimate Stunts involves some really spectacular stunts, like
+ultimatestunts: loopings, corkscrews, bridges to jump over, etc., but the best thing
+ultimatestunts: is that you can design your own tracks!
+ultimatestunts:
+ultimatestunts: http://www.ultimatestunts.nl/
+ultimatestunts:
+ultimatestunts:
+ultimatestunts:
diff --git a/games/ultimatestunts/ultimatestunts-metaserver-cpp-add-includes.patch b/games/ultimatestunts/ultimatestunts-metaserver-cpp-add-includes.patch
new file mode 100644
index 0000000000..1057cd242b
--- /dev/null
+++ b/games/ultimatestunts/ultimatestunts-metaserver-cpp-add-includes.patch
@@ -0,0 +1,13 @@
+--- simulation/metaserver.cpp.bad 2012-09-15 12:52:58.205623553 +0200
++++ simulation/metaserver.cpp 2012-09-15 12:51:26.928953196 +0200
+@@ -14,6 +14,10 @@
+ * (at your option) any later version. *
+ * *
+ ***************************************************************************/
++#include <stdio.h>
++#include <stdlib.h>
++#include <unistd.h>
++#include <string.h>
+ #include <cstdio>
+ #include <cstdlib>
+ #include <sys/types.h>
diff --git a/games/ultimatestunts/ultimatestunts.SlackBuild b/games/ultimatestunts/ultimatestunts.SlackBuild
new file mode 100644
index 0000000000..093fd3d33f
--- /dev/null
+++ b/games/ultimatestunts/ultimatestunts.SlackBuild
@@ -0,0 +1,104 @@
+#!/bin/sh
+
+# Slackware build script for ultimatestunts
+
+# Copyright 2018 Johannes Schoepfer
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=ultimatestunts
+VERSION=${VERSION:-0771}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-srcdata-$VERSION
+tar xvf $CWD/$PRGNAM-srcdata-$VERSION.tar.gz
+cd $PRGNAM-srcdata-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+patch -Np0 < $CWD/$PRGNAM-metaserver-cpp-add-includes.patch
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --build=$ARCH-slackware-linux
+
+make -j1
+make sysconfdir=$PKG/etc prefix=$PKG/usr install
+mv $PKG/etc/$PRGNAM.conf $PKG/etc/$PRGNAM.conf.new
+
+install -Dm644 $CWD/$PRGNAM.png $PKG/usr/share/pixmaps/$PRGNAM.png
+install -Dm644 $CWD/$PRGNAM.desktop $PKG/usr/share/applications/$PRGNAM.desktop
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ doc AUTHORS ChangeLog COPYING INSTALL README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+find $PKG -type d -name .svn -exec rm -rf '{}' +
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/ultimatestunts/ultimatestunts.desktop b/games/ultimatestunts/ultimatestunts.desktop
new file mode 100644
index 0000000000..75d79c1a65
--- /dev/null
+++ b/games/ultimatestunts/ultimatestunts.desktop
@@ -0,0 +1,9 @@
+[Desktop Entry]
+Type=Application
+Terminal=false
+Name=Ultimate Stunts
+Comment=Remake of the famous DOS-game stunts.
+Exec=ustunts
+Icon=ultimatestunts
+Categories=Game;
+StartupNotify=false
diff --git a/games/ultimatestunts/ultimatestunts.info b/games/ultimatestunts/ultimatestunts.info
new file mode 100644
index 0000000000..9e09a6092e
--- /dev/null
+++ b/games/ultimatestunts/ultimatestunts.info
@@ -0,0 +1,10 @@
+PRGNAM="ultimatestunts"
+VERSION="0771"
+HOMEPAGE="http://www.ultimatestunts.nl/"
+DOWNLOAD="http://downloads.sourceforge.net/ultimatestunts/ultimatestunts-srcdata-0771.tar.gz"
+MD5SUM="f62f7360c0a5024097348706b63ef826"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="freealut"
+MAINTAINER="Johannes Schoepfer"
+EMAIL="slackbuilds[at]schoepfer[dot]info"
diff --git a/games/ultimatestunts/ultimatestunts.png b/games/ultimatestunts/ultimatestunts.png
new file mode 100644
index 0000000000..93261446fb
--- /dev/null
+++ b/games/ultimatestunts/ultimatestunts.png
Binary files differ